Bug 40748 - 4.1 kernel packages are not removed
4.1 kernel packages are not removed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-2
Assigned To: Philipp Hahn
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 17:08 CET by Stefan Gohmann
Modified: 2016-05-10 16:06 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2016-02-22 17:08:31 CET
If update41/pruneoldkernel is set, old kernel packages should be removed. The preup script doesn't consider kernel 4.1.

The preup.sh script looks like this:
> for kernel_version in 2.6.* 3.2.0 3.10.0 3.16 3.16.0; do
Comment 1 Stefan Gohmann univentionstaff 2016-02-22 17:36:13 CET
Ticket #2016020221000389
Comment 2 Stefan Gohmann univentionstaff 2016-02-23 05:59:11 CET
Move target milestone to 4.1-2 because the next preup run will be with the upgrade to UCS 4.1-2.
Comment 3 Philipp Hahn univentionstaff 2016-05-03 14:15:59 CEST
r69084 | Bug #40748 up: Remove old kernel packages

Package: univention-updater
Version: 11.0.9-8.1470.201605031409
Branch: ucs_4.1-0
Scope: ucs4.1-2

r69085 | Bug #41157,Bug #40748: updater UCS-4.1-2
 changelog-4.1-2.xml
Comment 4 Felix Botner univentionstaff 2016-05-09 12:34:05 CEST
OK
Comment 5 Stefan Gohmann univentionstaff 2016-05-10 16:06:37 CEST
UCS 4.1-2 has been released:
 https://docs.software-univention.de/release-notes-4.1-2-en.html
 https://docs.software-univention.de/release-notes-4.1-2-de.html

If this error occurs again, please use "Clone This Bug".